import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, v = Object.getOwnPropertyDescriptor, f = (p, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? v(t, s) : t, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (e = (o ? c(t, s, e) : c(e)) || e);
  return o && e && a(t, s, e), e;
};
let r = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--office", this.class = "c-pieIcon c-pieIcon--office", this.name = "IconOffice";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--office"><path d="M12.375 2.094h-8.75a1.54 1.54 0 0 0-1.531 1.531v10.281h11.812V3.625a1.54 1.54 0 0 0-1.531-1.531Zm.219 10.5H8.656v-1.969H7.344v1.969H3.406V3.625a.219.219 0 0 1 .219-.219h8.75a.219.219 0 0 1 .219.219v8.969Zm-3.719-7h1.75v1.312h-1.75V5.594Zm-3.5 0h1.75v1.312h-1.75V5.594Zm3.5 2.625h1.75V9.53h-1.75V8.22Zm-3.5 0h1.75V9.53h-1.75V8.22Z"></path></svg>`;
  }
};
f([
  h({ type: String, reflect: !0 })
], r.prototype, "size", 2);
f([
  h({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = f([
  m("icon-office")
], r);
export {
  r as IconOffice
};
